summaryrefslogtreecommitdiff
path: root/include/init.sh
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2026-09-12 19:37:57 +0100
committerLeah Rowe <leah@libreboot.org>2026-09-12 19:37:57 +0100
commit77b0b448e2ec48c92398f531fa6e31c4b3886270 (patch)
tree6606bfe46032a6bbc7a7777cfa973d20912b04ba /include/init.sh
parentc7fb6a2bc849bd31993cc0383b36fce32a2b96d1 (diff)
more cleanup
Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'include/init.sh')
-rw-r--r--include/init.sh10
1 files changed, 2 insertions, 8 deletions
diff --git a/include/init.sh b/include/init.sh
index cdefde21..25e2dc75 100644
--- a/include/init.sh
+++ b/include/init.sh
@@ -110,7 +110,6 @@ xbmk_get_version()
xbmk_set_env()
{
is_child="n"
-
xbmkpath="$PATH"
# unify all temporary files/directories in a single TMPDIR
@@ -126,10 +125,8 @@ xbmk_set_env()
if [ "$is_child" = "y" ]; then
xbmk_child_set_env
return 1 # child instance. discontinue initialisation.
- else
- xbmk_parent_set_env
- return 0 # parent instance. continue initialisation.
fi
+ xbmk_parent_set_env
}
xbmk_child_set_env()
@@ -298,15 +295,12 @@ xbmk_set_pyver()
err "Bad python version (must by 3.x)" "xbmk_set_pyver" "$@"
# set up python in PATH (environmental variable):
-
(
x_ cd "$xbtmp/xbmkpath"
-
x_ ln -s "`x_ pybin "$python"`" python || \
err "can't make symlink" "xbmk_set_pyver" "$@"
- ) || \
- err "Can't link Python in $xbtmp/xbmkpath" "xbmk_set_pyver" "$@"; :
+ ) || err "Can't link Python in $xbtmp/xbmkpath" xbmk_set_pyver "$@"; :
}
# Use direct path, to prevent a hang if Python is using a virtual environment,